$(function() {

    $('[data-toggle="collapse"].show-icon').each(function() {

        var $icons = $('<span class="togggle-icons" style="margin-left:10px"></span>');

        var $icon_on = $('<i class="fa fa-angle-down"></i>');
        var $icon_off = $('<i class="fa fa-angle-up"></i>');

        $icons.append($icon_on);
        $icons.append($icon_off);

        var h = $(this).children().first();

        if (h.length > 0) {
            h.append($icons);
        } else {
            $(this).append($icons);
        }

        var target = $(this).data('target');
        var $t = $(target);

        if ($t.hasClass('collapse')) {
            $icon_off.hide();
        } else {
            $icon_on.hide();
        }

        $t.on('show.bs.collapse', function() {
            $icon_off.show();
            $icon_on.hide();
        });

        $t.on('hide.bs.collapse', function() {
            $icon_off.hide();
            $icon_on.show();
        });

    });





    // Equal Height Columns
    function handleEqualHeightColumns() {
        var EqualHeightColumns = function () {
            $(".row-o-equal-height").each(function() {
                heights = [];
                $("[data-type='col']", this).each(function() {
                    $(this).removeAttr("style");
                    heights.push($(this).height()); // write column's heights to the array
                });
                $("[data-type='col']", this).height(Math.max.apply(Math, heights)); //find and set max
            });
        }

        EqualHeightColumns();
        $(window).resize(function() {
            EqualHeightColumns();
        });
        $(window).load(function() {
            EqualHeightColumns();
        });
    }

    handleEqualHeightColumns();


});



jQuery(function($) {
    // Bootstrap menu magic
    $(window).on('resize , load' , function() {
        if ($(window).width() < 992) {
            $(".dropdown-toggle").attr('data-toggle', 'dropdown');
        } else {
            $(".dropdown-toggle").removeAttr('data-toggle dropdown');
        }
    });
});

